RESTinio

Classes | Namespaces | Typedefs
connection_state_listener.hpp File Reference

Stuff related to connection state listeners. More...

`#include <restinio/compiler_features.hpp>`
`#include <restinio/common_types.hpp>`
`#include <restinio/variant.hpp>`
`#include <restinio/tls_fwd.hpp>`

Go to the source code of this file.

## Classes
class | restinio::connection_state::accepted_t
| Type of object that tells that new connection has been accepted. More...
class | restinio::connection_state::closed_t
| Type of object that tells that the connection has been closed. More...
class | restinio::connection_state::upgraded_to_websocket_t
| Type of object that tells that the connection has been upgraded to WebSocket. More...
class | restinio::connection_state::notice_t
| An object with info about connection to be passed to state listener. More...
struct | restinio::connection_state::noop_listener_t
| The default no-op state listener. More...

## Namespaces
namespace | restinio
namespace | restinio::connection_state

## Typedefs
using | restinio::connection_state::cause_t = variant_t< accepted_t, closed_t, upgraded_to_websocket_t >
| A type for the representation of the current state of a connection. More...

## Detailed Description

Stuff related to connection state listeners.

Since
  v.0.5.1

Definition in file connection_state_listener.hpp.